patch
/api/v2/monitors/{id}Update a monitor.
Update a monitor.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
id
path / required
No description provided.
Schema: string
Request Body
{
"type": "object",
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"draft",
"active",
"paused"
]
},
"models": {
"type": "array",
"items": {
"type": "string"
}
},
"languageCode": {
"type": "string"
},
"countryCode": {
"type": "string"
},
"stateCode": {
"type": "string"
},
"cityCode": {
"type": "string"
},
"personaId": {
"type": "string"
},
"schedule": {
"type": "string"
},
"initialPrompts": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"monitorId": {
"type": "string"
},
"llmMonitorId": {
"type": "string"
},
"prompt": {
"type": "string"
},
"text": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"ORGANIC",
"BRAND_SPECIFIC",
"COMPETITOR_COMPARISON"
]
},
"intent": {
"type": "string",
"enum": [
"BRANDED",
"INFORMATIONAL",
"COMMERCIAL",
"TRANSACTIONAL",
"NAVIGATIONAL"
]
},
"languageCode": {
"type": "string"
},
"keywords": {
"type": "array",
"items": {
"type": "string"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"isActive": {
"type": "boolean"
}
}
}
},
"generatePrompts": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"amount": {
"type": "integer"
},
"type": {
"type": "string",
"enum": [
"ORGANIC",
"BRAND_SPECIFIC",
"COMPETITOR_COMPARISON"
]
},
"instructions": {
"type": "string"
}
}
}
}
},
"required": [
"name"
]
}Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"type": "string",
"nullable": true
},
"status": {
"type": "string",
"enum": [
"draft",
"active",
"paused",
"deleted"
]
},
"languageCode": {
"type": "string",
"nullable": true
},
"countryCode": {
"type": "string",
"nullable": true
},
"stateCode": {
"type": "string",
"nullable": true
},
"cityCode": {
"type": "string",
"nullable": true
},
"personaId": {
"type": "string",
"nullable": true
},
"personaName": {
"type": "string",
"nullable": true
},
"schedule": {
"type": "string",
"nullable": true
},
"models": {
"type": "array",
"items": {
"type": "string"
}
},
"promptCount": {
"type": "integer"
},
"responseCount": {
"type": "integer"
},
"responseCountInRange": {
"type": "integer"
},
"averageVisibility": {
"type": "integer"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"name",
"status"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.